/* ************************************************************************** */
/*                CV2TAB.H Header File                                        */
/* ************************************************************************** */

/**************************************************************************/
/* Sizes in Pels                                                          */
/**************************************************************************/
#define  CXSCREEN     (WinQuerySysValue (HWND_DESKTOP, SV_CXSCREEN))
#define  CYSCREEN     (WinQuerySysValue (HWND_DESKTOP, SV_CYSCREEN))
#define  CXVSCROLL    (WinQuerySysValue (HWND_DESKTOP, SV_CXVSCROLL))
#define  CYHSCROLL    (WinQuerySysValue (HWND_DESKTOP, SV_CYHSCROLL))
#define  CYTITLEBAR   (WinQuerySysValue (HWND_DESKTOP, SV_CYTITLEBAR))
#define  CYMENU       (WinQuerySysValue (HWND_DESKTOP, SV_CYMENU))
#define  CXSIZEBORDER (WinQuerySysValue (HWND_DESKTOP, SV_CXSIZEBORDER))
#define  CYSIZEBORDER (WinQuerySysValue (HWND_DESKTOP, SV_CYSIZEBORDER))


#define MAX_CONTROLS              128   /* maximum # of controls per panel   */
#define WNDCOL                      8L   // Scroll Step
#define WNDROW                      8L   // Scroll Step

  /**************************************************************************/
  /* Special                                                                */
  /**************************************************************************/
#define  BITSCROLL   FALSE            // Scroll using WinScrollWindow
#define  SWPSCROLL   TRUE             // Scroll using WinSetMultiWindowPos


typedef struct _SCROLLINFO {
      ULONG    cb;                      /* length of this structure */
      BOOL     bTYPE;                   /*FALSE-ScrollWindow vs SetMultiWinPos*/
      LONG     x, y,                    /* Actual X, Y position               */
               cx, cy;                  /* True cx , cy                       */
      LONG     XPos, YPos;              /* Desired X, Y position              */
      LONG     xRange,                  /* Horizontal scrolling range         */
               yRange;                  /* Vertical scrolling range           */
      INT      iWindowCount;            /* Number of windows in current panel */
      SWP      aControls[MAX_CONTROLS]; /* Array of window positions PSWP     */
} SCROLLINFO;
typedef  SCROLLINFO *PSCROLLINFO;
#define  SCROLLSIZE sizeof(SCROLLINFO) /* Scroll structure Size          */


/******************************/
/* public Function Prototypes */
/******************************/
BOOL       fnSetScrollType(HWND hwnd, BOOL bTYPE, PSCROLLINFO pScl);

INT        fnClearView(HWND hwnd, PSCROLLINFO pScl );
BOOL       fnCenterView(HWND hwnd, PSCROLLINFO pScl );

INT        fnGetWindowList(HWND hwnd,  PSCROLLINFO pScl);
MRESULT    fnHandleWMChar(HWND hwnd, ULONG msg, MPARAM mp1, MPARAM mp2);
MRESULT    fnHandleHScroll(HWND hwnd, MPARAM mp2, PSCROLLINFO pScl);
MRESULT    fnHandleVScroll(HWND hwnd, MPARAM mp2, PSCROLLINFO pScl);
MRESULT    fnHandleWMSize(HWND hwnd, MPARAM mp1, MPARAM mp2, PSCROLLINFO pScl);

BOOL       fnSetWindowPresFont(HWND hwndTarget,ULONG ulWhat, PSZ pszFontName);
BOOL       fnSetWindowPresColor(HWND hwndTarget,ULONG ulWhat, ULONG ulCLR);
MRESULT    fnDefaultPaint(HWND hwnd, LONG SysColor);

